Package com.ngrok.services

# Class FailoverBackends.CreateCallBuilder

java.lang.Object
com.ngrok.services.FailoverBackends.CreateCallBuilder

Enclosing class:
  FailoverBackends

public class FailoverBackends.CreateCallBuilder extends Object
A builder object encapsulating state for an unsent Create API call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FailoverBackends.CreateCallBuilder`
  `backends(List<String> backends)`
  the ids of the child backends in order
  `FailoverBackends.CreateCallBuilder`
  `backends(Optional<List<String>> backends)`
  the ids of the child backends in order
  `FailoverBackend`
  `blockingCall()`
  Initiates the API call and blocks until it returns.
  `CompletionStage<FailoverBackend>`
  `call()`
  Initiates the API call asynchronously.
  `FailoverBackends.CreateCallBuilder`
  `description(String description)`
  human-readable description of this backend.
  `FailoverBackends.CreateCallBuilder`
  `description(Optional<String> description)`
  human-readable description of this backend.
  `FailoverBackends.CreateCallBuilder`
  `metadata(String metadata)`
  arbitrary user-defined machine-readable data of this backend.
  `FailoverBackends.CreateCallBuilder`
  `metadata(Optional<String> metadata)`
  arbitrary user-defined machine-readable data of this backend.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### description

    public FailoverBackends.CreateCallBuilder description(String description)
    human-readable description of this backend. Optional
    Parameters:
      `description` - the value of the description parameter as a `String`
    Returns:
      the call builder instance

  - ### description

    public FailoverBackends.CreateCallBuilder description(Optional<String> description)
    human-readable description of this backend. Optional
    Parameters:
      `description` - the value of the description parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### metadata

    public FailoverBackends.CreateCallBuilder metadata(String metadata)
    arbitrary user-defined machine-readable data of this backend. Optional
    Parameters:
      `metadata` - the value of the metadata parameter as a `String`
    Returns:
      the call builder instance

  - ### metadata

    public FailoverBackends.CreateCallBuilder metadata(Optional<String> metadata)
    arbitrary user-defined machine-readable data of this backend. Optional
    Parameters:
      `metadata` - the value of the metadata parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### backends

    public FailoverBackends.CreateCallBuilder backends(List<String> backends)
    the ids of the child backends in order
    Parameters:
      `backends` - the value of the backends parameter as a `List` of `String`
    Returns:
      the call builder instance

  - ### backends

    public FailoverBackends.CreateCallBuilder backends(Optional<List<String>> backends)
    the ids of the child backends in order
    Parameters:
      `backends` - the value of the backends parameter as an `Optional` of `List` of `String`
    Returns:
      the call builder instance

  - ### call

    public CompletionStage<FailoverBackend> call()
    Initiates the API call asynchronously.
    Returns:
      a `CompletionStage` of `FailoverBackend`

  - ### blockingCall

    public FailoverBackend blockingCall() throws InterruptedException
    Initiates the API call and blocks until it returns.
    Returns:
      `FailoverBackend`
    Throws:
      `InterruptedException` - if the thread was interrupted during the call